> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/instance/describezonegpuinstanceconfiginfos.md).

# DescribeZoneGpuInstanceConfigInfos

## 1. API Description

This API (DescribeZoneGpuInstanceConfigInfos) is used to describe GPU instance types available for sale in a zone.

{% hint style="info" %}
**Notes**

* The `instanceType` field is a GPU instance type ID, such as `z3a.g.C49.c8m32.1`. When modifying a GPU instance type, pass this value to the `instanceType` parameter of [`ModifyInstanceType`](/api-reference/compute/zec/instance/modifyinstancetype.md).
* `inventoryCapacity` indicates the inventory capacity level of the GPU series in the region where the zone is located: `LIMITED` (< 1000), `NORMAL` (1000–2000), `SUFFICIENT` (2000–5000), `ABUNDANT` (≥ 5000). GPU instance counts are far below these thresholds, so the value is typically `LIMITED`.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                  |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | No       | String | <p>The zone ID to query.</p><p>For example: na-us-la-2a.</p><p>If not specified, GPU instance types in all zones are returned.</p>           |
| instanceType   | No       | String | <p>The GPU instance type ID to query.</p><p>For example: z3a.g.C49.c8m32.1.</p><p>If not specified, all GPU instance types are returned.</p> |

## 3. Output Parameters

| Parameter Name       | Type                                                                                                      | Description                                                                                                           |
| -------------------- | --------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId            | String                                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| instanceTypeQuotaSet | Array of [GpuInstanceTypeQuotaItem](/api-reference/compute/zec/datastructure.md#gpuinstancetypequotaitem) | List of GPU instance type availability information.                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query GPU instance types available for sale in all zones.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneGpuInstanceConfigInfos
<Common Request Params>

Request：
{}

Response：
{
  "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
  "response": {
    "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
    "instanceTypeQuotaSet": [
      {
        "zoneId": "na-us-la-2a",
        "instanceType": "z3a.g.C49.c8m32.1",
        "cpuCount": 8,
        "memory": 32,
        "gpuAmount": 1,
        "instanceTypeName": "NVIDIA A100 40G",
        "bps": 10000000000,
        "pps": 1000000,
        "inventoryCapacity": "LIMITED"
      }
    ]
  }
}
```

**2. Query GPU instance types available for sale in a specific zone.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneGpuInstanceConfigInfos
<Common Request Params>

Request：
{
  "zoneId": "na-us-la-2a"
}

Response：
{
  "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
  "response": {
    "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
    "instanceTypeQuotaSet": [
      {
        "zoneId": "na-us-la-2a",
        "instanceType": "z3a.g.C49.c8m32.1",
        "cpuCount": 8,
        "memory": 32,
        "gpuAmount": 1,
        "instanceTypeName": "NVIDIA A100 40G",
        "bps": 10000000000,
        "pps": 1000000,
        "inventoryCapacity": "LIMITED"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                   | Description                                             |
| ---------------- | ---------------------------- | ------------------------------------------------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND    | Region does not exist.                                  |
| 400              | INVALID\_ZONE\_NOT\_ON\_SALE | Instance size is not for sale in the availability zone. |
